package com.fjhx.applet.service;

import com.fjhx.base.BaseEntity;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

public interface MaterialReceiveService extends BaseService<BaseEntity> {

    void submit(String checkUserId);

    List<Map<String, Object>> getList(String account);

    void operation(Map<String, Object> condition);

    List<Map<String, Object>> flowDetails(Map<String, String> condition);

    void handleFlow(Map<String, String> condition);

    List<Map<String, Object>> getReceiveBackupList(String account);

}
